Lua_FuncPreviewWindow = class("Lua_FuncPreviewWindow", Lua_Window)
function Lua_FuncPreviewWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_FuncPreviewWindow"
	self.skinName = "FuncPreviewWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_FuncPreviewWindow:buildShowItem()
	self:superCall("buildShowItem")
	self:addLuaEvent("UPDATE_ROLE_WORLD_LEVEL", self, self.updateShowInfo)
	self:addLuaEvent("FUNCTION_OPEN", self, self.updateShowInfo)
	self:addLuaEvent("FUNCTION_OPEN_REWARD", self, self.updateShowInfo)

	self.showList = Lua_DragList.new(self.content, 619, 692, Lua_AxisDefine.Vertical)
	self.showList:setLocation(0, -105, 0)
	self.showList.tweenId = 2002
	self.showList:setListCell(Lua_FuncPreviewItem, 619, 252, 1)
	self.showList:setCellSpacing(0, 10)

	Lua_ProxyManager.getProxy("Lua_RoleProxy"):sRoleWorldLv()
end

function Lua_FuncPreviewWindow:dispose()
	if self.showList then
		self.showList:dispose()
		self.showList = nil
	end
	self:superCall("dispose")
end

function Lua_FuncPreviewWindow:updateShowInfo()
	if self.bInit == true then
		self.showList:updateShowList()
	else
		local arr = DataCenter.funcOpenUtil:getPreviewArr()
		self.showList:setArrayData(arr)
	end
end




















Lua_FuncPreviewItem = class("Lua_FuncPreviewItem", Lua_ListCell)
function Lua_FuncPreviewItem:ctor(p)
	self:superCall("ctor", p, "FuncPreviewItem_skin")
end

function Lua_FuncPreviewItem:buildShowItem()
	self:superCall("buildShowItem")
	self.rewardIcon:addClickFuntion(self, self.onReceive)

	self.produceList = Lua_ItemIconList.new(self.content)
	self.produceList:setLocation(217, -80, 0)
	self.produceList.pivot = 0
	self.produceList.scaleVal = 0.48
end

function Lua_FuncPreviewItem:dispose()
	if self.produceList then
		self.produceList:dispose()
		self.produceList = nil
	end
	if self.redPoint then
		self.redPoint:dispose()
		self.redPoint = nil
	end
	self.data = nil
	self:superCall("dispose")
end

function Lua_FuncPreviewItem:setData(data)
	self.data = DataCenter.funcOpenUtil:getFuncOpenVoById(data)
	self:updateData()
end

function Lua_FuncPreviewItem:updateData()
	self.bg:setEnable(true)
	self.bg:setUrl(self.data.bgUrl)

	self.nameText.text = self.data.name
	self.condText.text = LanUtil.formateStr(470000, self.data.advanceMessage)
	if self.data.isOpen then
		self.rateText:setLangValue(470003)
	else
		self.rateText.text = LanUtil.formateStr(470001, self.data.scheduleStr)
	end
	self.promptText.text = LanUtil.formateStr(470002, self.data.des)

	if self.data.reward_state == 2 then
		self.rewardBg:setEnable(false)
		self.rewardIcon:setEnable(false)
		self.rewardCount:setEnable(false)
	else
		self.rewardBg:setEnable(true)
		self.rewardIcon:setEnable(true)
		local config = getConfig("item", self.data.reward[1][1])
		self.rewardIcon:setAltas(config.atlas, config.sprite)
		self.rewardCount:setEnable(true)
		self.rewardCount.text = self.data.reward[1][2]
	end
	self:showRedDot(self.data.reward_state == 1)

	self.produceText:setEnable(self.data.produce and #self.data.produce > 0)
	self.produceList:setArrayData(self.data.produce)
end

function Lua_FuncPreviewItem:onPressClick()
	self.produceList:onBoundClick()
end

function Lua_FuncPreviewItem:onReceive(go)
	if not self.data.isOpen then
		OperateAlert.show(self.data.advanceMessage)
		return
	end
	Lua_ProxyManager.getProxy("Lua_MainViewProxy"):sFuncOpenReward(self.data.id)
end

function Lua_FuncPreviewItem:showRedDot(bShow)
	if bShow == true then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(280, 95, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint then
			self.redPoint:updateRedPointShow(false);
		end
	end
end